'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = withNotification;

var _reactRedux = require('react-redux');

var _redux = require('redux');

var _notificationActionCreators = require('../actions/notification-action-creators');

var NotificationActionCreators = _interopRequireWildcard(_notificationActionCreators);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function withNotification(ComposedComponent) {
  return (0, _reactRedux.connect)(function (state) {
    return { notification: state.notifications };
  }, function (dispatch) {
    return (0, _redux.bindActionCreators)(NotificationActionCreators, dispatch);
  })(ComposedComponent);
}