'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Checkbox = require('material-ui/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CheckboxDataField = function (_Component) {
  _inherits(CheckboxDataField, _Component);

  function CheckboxDataField() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, CheckboxDataField);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CheckboxDataField.__proto__ || Object.getPrototypeOf(CheckboxDataField)).call.apply(_ref, [this].concat(args))), _this), _this.onCheck = function (event, checked) {
      var _this$props = _this.props,
          onChange = _this$props.onChange,
          name = _this$props.name;

      onChange(name, checked);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(CheckboxDataField, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          labelText = _props.labelText,
          value = _props.value,
          name = _props.name,
          checkedIcon = _props.checkedIcon,
          disabled = _props.disabled,
          iconStyle = _props.iconStyle,
          inputStyle = _props.inputStyle,
          labelPosition = _props.labelPosition,
          labelStyle = _props.labelStyle,
          style = _props.style,
          uncheckedIcon = _props.uncheckedIcon,
          valueLink = _props.valueLink;

      return _react2.default.createElement(_Checkbox2.default, {
        label: labelText,
        checked: value,
        name: name,
        checkedIcon: checkedIcon,
        disabled: disabled,
        iconStyle: iconStyle,
        inputStyle: inputStyle,
        labelPosition: labelPosition,
        labelStyle: labelStyle,
        onCheck: this.onCheck,
        style: style,
        uncheckedIcon: uncheckedIcon,
        valueLink: valueLink
      });
    }
  }]);

  return CheckboxDataField;
}(_react.Component);

CheckboxDataField.propTypes = {
  labelText: _propTypes2.default.string,
  onChange: _propTypes2.default.func,
  value: _propTypes2.default.bool,
  name: _propTypes2.default.string,
  checkedIcon: _propTypes2.default.element,
  disabled: _propTypes2.default.bool,
  iconStyle: _propTypes2.default.object,
  inputStyle: _propTypes2.default.object,
  labelPosition: _propTypes2.default.string,
  labelStyle: _propTypes2.default.object,
  style: _propTypes2.default.object,
  uncheckedIcon: _propTypes2.default.element,
  valueLink: _propTypes2.default.object
};
exports.default = CheckboxDataField;