'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _TimePicker = require('material-ui/TimePicker');

var _TimePicker2 = _interopRequireDefault(_TimePicker);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TimeDataField = function (_Component) {
  _inherits(TimeDataField, _Component);

  function TimeDataField() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, TimeDataField);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TimeDataField.__proto__ || Object.getPrototypeOf(TimeDataField)).call.apply(_ref, [this].concat(args))), _this), _this.handleChange = function (event, time) {
      _this.props.onChange(_this.props.name, time);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(TimeDataField, [{
    key: 'render',
    value: function render() {
      var newProps = {
        floatingLabelText: this.props.labelText,
        autoOk: this.props.autoOk || false,
        disabled: this.props.disabled || false,
        format: this.props.format || 'ampm',
        onChange: this.handleChange,
        onDismiss: this.props.onDismiss,
        onFocus: this.props.onFocus,
        fullWidth: true,
        onShow: this.props.onShow,
        onTouchTap: this.props.onTouchTap,
        pedantic: this.props.pedantic || false,
        style: this.props.style || {},
        textFieldStyle: this.props.textFieldStyle || {},
        value: this.props.value || null,
        errorText: this.props.errorText || ''
      };
      return _react2.default.createElement(_TimePicker2.default, newProps);
    }
  }]);

  return TimeDataField;
}(_react.Component);

TimeDataField.propTypes = {
  value: _propTypes2.default.object,
  labelText: _propTypes2.default.string,
  name: _propTypes2.default.string,
  onChange: _propTypes2.default.func,
  autoOk: _propTypes2.default.bool,
  disabled: _propTypes2.default.bool,
  format: _propTypes2.default.string,
  onDismiss: _propTypes2.default.func,
  onFocus: _propTypes2.default.func,
  onShow: _propTypes2.default.func,
  onTouchTap: _propTypes2.default.func,
  pedantic: _propTypes2.default.bool,
  style: _propTypes2.default.object,
  textFieldStyle: _propTypes2.default.object,
  errorText: _propTypes2.default.node
};
exports.default = TimeDataField;