'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _fieldType = require('../field-type');

var _fieldType2 = _interopRequireDefault(_fieldType);

var _dataTypes = require('../data-types');

var _dataTypes2 = _interopRequireDefault(_dataTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var AutoCompleteSchema = function () {
  function AutoCompleteSchema(name) {
    _classCallCheck(this, AutoCompleteSchema);

    this.name = name;
    this.fieldType = _dataTypes2.default.String;
    this.type = _fieldType2.default.AutoComplete;
    this.fullWidth = true;
  }

  _createClass(AutoCompleteSchema, [{
    key: 'label',
    value: function label(labelText) {
      this.labelText = labelText;
      return this;
    }
  }, {
    key: 'strings',
    value: function strings(dataSource) {
      this.dataSource = dataSource;
      return this;
    }
  }, {
    key: 'objects',
    value: function objects(dataSource, dataSourceConfig, displayField) {
      this.dataSource = dataSource;
      this.dataSourceConfig = dataSourceConfig;
      this.displayField = displayField;
      return this;
    }
  }]);

  return AutoCompleteSchema;
}();

exports.default = AutoCompleteSchema;