'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _numberFieldSchema = require('./number-field-schema');

var _numberFieldSchema2 = _interopRequireDefault(_numberFieldSchema);

var _textFieldSchema = require('./text-field-schema');

var _textFieldSchema2 = _interopRequireDefault(_textFieldSchema);

var _dateFieldSchema = require('./date-field-schema');

var _dateFieldSchema2 = _interopRequireDefault(_dateFieldSchema);

var _timeFieldSchema = require('./time-field-schema');

var _timeFieldSchema2 = _interopRequireDefault(_timeFieldSchema);

var _toggleSchema = require('./toggle-schema');

var _toggleSchema2 = _interopRequireDefault(_toggleSchema);

var _checkFieldSchema = require('./check-field-schema');

var _checkFieldSchema2 = _interopRequireDefault(_checkFieldSchema);

var _selectFieldSchema = require('./select-field-schema');

var _selectFieldSchema2 = _interopRequireDefault(_selectFieldSchema);

var _autoCompleteSchema = require('./auto-complete-schema');

var _autoCompleteSchema2 = _interopRequireDefault(_autoCompleteSchema);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var DataFieldSchema = function () {
  function DataFieldSchema() {
    _classCallCheck(this, DataFieldSchema);
  }

  _createClass(DataFieldSchema, null, [{
    key: 'number',
    value: function number(name) {
      return new _numberFieldSchema2.default(name);
    }
  }, {
    key: 'text',
    value: function text(name) {
      return new _textFieldSchema2.default(name);
    }
  }, {
    key: 'date',
    value: function date(name) {
      return new _dateFieldSchema2.default(name);
    }
  }, {
    key: 'time',
    value: function time(name) {
      return new _timeFieldSchema2.default(name);
    }
  }, {
    key: 'toggle',
    value: function toggle(name) {
      return new _toggleSchema2.default(name);
    }
  }, {
    key: 'check',
    value: function check(name) {
      return new _checkFieldSchema2.default(name);
    }
  }, {
    key: 'select',
    value: function select(name) {
      return new _selectFieldSchema2.default(name);
    }
  }, {
    key: 'autoComplete',
    value: function autoComplete(name) {
      return new _autoCompleteSchema2.default(name);
    }
  }]);

  return DataFieldSchema;
}();

exports.default = DataFieldSchema;