'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _TextField = require('material-ui/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NumberDataField = function (_Component) {
  _inherits(NumberDataField, _Component);

  function NumberDataField() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, NumberDataField);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = NumberDataField.__proto__ || Object.getPrototypeOf(NumberDataField)).call.apply(_ref, [this].concat(args))), _this), _this.onTextChange = function (event, newValue) {
      event.preventDefault();
      var _this$props = _this.props,
          name = _this$props.name,
          onChange = _this$props.onChange;

      var textFieldValue = newValue;
      onChange(name, textFieldValue);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(NumberDataField, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          disabled = _props.disabled,
          errorText = _props.errorText,
          errorStyle = _props.errorStyle,
          floatingLabelFixed = _props.floatingLabelFixed,
          floatingLabelStyle = _props.floatingLabelStyle,
          hintStyle = _props.hintStyle,
          hintText = _props.hintText,
          labelText = _props.labelText,
          name = _props.name,
          value = _props.value;


      var newProps = {
        disabled: disabled || false,
        errorText: errorText,
        errorStyle: errorStyle,
        floatingLabelText: labelText,
        floatingLabelFixed: floatingLabelFixed,
        floatingLabelStyle: floatingLabelStyle,
        fullWidth: true,
        hintStyle: hintStyle,
        hintText: hintText,
        name: name,
        onChange: this.onTextChange,
        type: 'number',
        value: value
      };

      return _react2.default.createElement(_TextField2.default, newProps);
    }
  }]);

  return NumberDataField;
}(_react.Component);

NumberDataField.propTypes = {
  disabled: _propTypes2.default.bool,
  errorText: _propTypes2.default.string,
  errorStyle: _propTypes2.default.object,
  floatingLabelFixed: _propTypes2.default.bool,
  floatingLabelStyle: _propTypes2.default.object,
  fullWidth: _propTypes2.default.bool,
  hintStyle: _propTypes2.default.object,
  hintText: _propTypes2.default.node,
  labelText: _propTypes2.default.string,
  name: _propTypes2.default.string,
  onChange: _propTypes2.default.func,
  value: _propTypes2.default.any
};
exports.default = NumberDataField;