'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _notificationActionTypes = require('../actions/notification-action-types');

var _notificationActionTypes2 = _interopRequireDefault(_notificationActionTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments[1];

  switch (action.type) {
    case _notificationActionTypes2.default.SHOW_NOTIFICATION:
      return action.payload;
    case _notificationActionTypes2.default.CLEAR_NOTIFICATION:
      return {};
    default:
      return state;
  }
};